//``'-.,_,.-'``'-.,_,.='``'-.,_,.-'``'-.,_,.='``'-.,_,.-'``'-.,_,.='``'-.,_,.-'``'-.,_,.='
//																						//
// PhEx Function Library v1.0															//
// The MIT License (MODIFIED)															//
//																						//
// Copyright (c) 2002 Jake Bordens														//
//																						//
// Permission is hereby granted, free of charge, to any person obtaining a copy of this //
// software and associated documentation files (the "Software"), to deal in the  		//
// Software without restriction, including without limitation the rights to use, copy, 	//
// modify, merge, publish, distribute, sublicense, and/or sell copies of the  Software,	//
// and to permit persons to whom the Software is furnished to do so,  subject to the 	//
// following conditions:																//
//																						//
// The above copyright notice and this permission notice shall be included in all 		//
// copies or substantial portions of the Software.										//
//																						//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR  IMPLIED, //
// INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS  FOR A 		//
// PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR  COPYRIGHT 	//
// HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN  AN ACTION 	//
// OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION  WITH THE 		//
// SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.								//
//																						//
// Other Terms																			//
// - If you chose to make a derivative work using the techniques found in this library,	//
//   a free license for the author is requested, but not required.						//
// - Including a copy of this license with your software is not expressly required, 	//
//   so long as you assume all liability, and it is clear that the terms of the 		//
//   disclaimer apply to the author and/or copyright holder of this library in all 		//
//   circumstances.																		//
//																						//
//``'-.,_,.-'``'-.,_,.='``'-.,_,.-'``'-.,_,.='``'-.,_,.-'``'-.,_,.='``'-.,_,.-'``'-.,_,.//

#ifndef __PHEX_LIBRARY_H__
#define __PHEX_LIBRARY_H__


//'``'-.,_,.='``'-.,_,.-'``'-.,_,.='`` Base Functions ``'-.,_,.-'``'-.,_,.='``'-.,_,.-'``'
void voidvoid(int num);
void voidchar(int num, char param);
char charvoid(int num);

//``'-.,_,.='``'-.,_,.-'``'-.,_,.='` Statbar functions ``'-.,_,.-'``'-.,_,.='``'-.,_,.-'``
void stbInit();
void stbReinit();
void stbClear();
void stbRedraw();
void stbPowerOff();
void stbDisplayNetwork(char param);
void stbDisplayPhone(char param);
char stbGetPhoneFs();
void stbDisplayRoaming(char param);
void stbDisplaySMS(char param);
char stbGetSmsFs();
void stbDisplayFax(char param);
void stbDisplayFD(char param);
void stbDisplayVibrate(char param);
void stbDisplayBattery(char param);
char stbGetBatteryFs();
void stbProcessEvent(char param);

//``'-.,_,.-'``'-.,_,.= Extended Window Functions (Full Screen)	='``'-.,_,.-'``'-.,_,.='``
void WinSetExtendedWindow(char param);
void EvtEnableSoftKeys(char param);
void EvtEnableExtAppAreaBottom(char param);
void WinSetTemporaryInput(char param);
void WinSetTemporaryInputListMode(char param);

#endif